%define debug_package	%{nil}
%define	Objects_Home	/fmem-kernel-objects
%define	DIST		%(echo %{dist} | sed 's/\.//')
%define BaseName	fmem-kernel-modules
%define ARCH		%(uname -m)
%define _binaries_in_noarch_packages_terminate_build 0

Summary:	This package contains all of the kernel objects for all of the kernels for Fedora 32 x86_64 for FMEM

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		%{BaseName}-%{DIST}-%{ARCH}
Version:	1.6
%define	RELMAJ 1
%define RELMIN 46
Release:	%{RELMAJ}.%{RELMIN}

License:	GPL

Group:		Applications/Forensics Tools
URL:		http://hysteria.sk/~niekt0/fmem/
Source:		%{BaseName}-%{version}-%{RELMAJ}.tgz
Patch1:		%{BaseName}-%{version}-%{RELMAJ}-patch-001

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildArch:	noarch

%description
This package provides kernel objects for Fedora 32 x86_64-based systems.

%prep
%setup -T -c
%patch1 -p1

%build

%install
%{__install} -d %{buildroot}%{_datadir}/%{BaseName}-%{version}
cp -rp %{Objects_Home}/*%{DIST}.*%{ARCH}* %{buildroot}%{_datadir}/%{BaseName}-%{version}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%attr(744, root, root)	%{_datadir}/%{BaseName}-%{version}/*/*.ko

%changelog
* Wed May 26 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.46
* Release 1.6-1.46
	Kernel modules were added for the following kernels:
		5.11.22-100
		5.11.21-100

* Thu May 13 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.45
* Release 1.6-1.45
	Kernel modules were added for the following kernels:
		5.11.19-100
		5.11.18-100

* Thu May  6 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.44
* Release 1.6-1.44
	Kernel modules were added for the following kernels:
		5.11.17-100

* Sun May  2 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.43
* Release 1.6-1.43
	Kernel modules were added for the following kernels:
		5.11.16-100

* Fri Apr 23 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.42
* Release 1.6-1.42
	Kernel modules were added for the following kernels:
		5.11.15-100
		5.11.14-100

* Thu Apr 15 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.41
* Release 1.6-1.41
	Kernel modules were added for the following kernels:
		5.11.13-100
		5.11.12-100

* Fri Apr  2 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.40
* Release 1.6-1.40
	Kernel modules were added for the following kernels:
		5.11.11-100
		5.11.10-100

* Fri Mar 26 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.39
* Release 1.6-1.39
	Kernel modules were added for the following kernels:
		5.11.7-100

* Fri Mar 19 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.38
* Release 1.6-1.38
	Kernel modules were added for the following kernels:
		5.10.22-100

* Fri Mar 12 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.37
* Release 1.6-1.37
	Kernel modules were added for the following kernels:
		5.10.21-100
		5.10.20-100

* Fri Mar  5 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.36
* Release 1.6-1.36
	Kernel modules were added for the following kernels:
		5.10.19-100
		5.10.18-100
		5.10.17-100

* Fri Feb 19 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.35
* Release 1.6-1.35
	Kernel modules were added for the following kernels:
		5.10.16-100
		5.10.15-100

* Fri Feb 12 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.34
* Release 1.6-1.34
	Kernel modules were added for the following kernels:
		5.10.13-100
		5.10.12-100

* Thu Feb  4 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.33
* Release 1.6-1.33
	Kernel modules were added for the following kernels:
		5.10.11-100

* Fri Jan 22 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.32
* Release 1.6-1.32
	Kernel modules were added for the following kernels:
		5.10.8-100
		5.10.7-100

* Thu Jan  7 2021 Lawrence R. Rogers <lrr@cert.org> 1.6-1.31
* Release 1.6-1.31
	Kernel modules were added for the following kernels:
		5.9.16-100

* Wed Dec 23 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.30
* Release 1.6-1.30
	Kernel modules were added for the following kernels:
		5.9.15-100

* Fri Dec 18 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.29
* Release 1.6-1.29
	Kernel modules were added for the following kernels:
		5.9.14-100
		5.9.13-100

* Thu Dec 10 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.28
* Release 1.6-1.28
	Kernel modules were added for the following kernels:
		5.9.12-100

* Fri Dec  4 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.27
* Release 1.6-1.27
	Kernel modules were added for the following kernels:
		5.9.11-100
		5.9.10-100

* Wed Nov 25 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.26
* Release 1.6-1.26
	Kernel modules were added for the following kernels:
		5.9.9-100

* Sun Nov 22 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.25
* Release 1.6-1.25
	Kernel modules were added for the following kernels:
		5.9.8-100

* Fri Nov  6 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.24
* Release 1.6-1.24
	Kernel modules were added for the following kernels:
		5.8.18-200
		5.8.17-200

* Fri Oct 30 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.23
* Release 1.6-1.23
	Kernel modules were added for the following kernels:
		5.8.16-200

* Fri Oct 16 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.22
* Release 1.6-1.22
	Kernel modules were added for the following kernels:
		5.8.15-201
		5.8.14-200

* Thu Oct  8 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.21
* Release 1.6-1.21
	Kernel modules were added for the following kernels:
		5.8.13-200
		5.8.12-200

* Thu Oct  1 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.20
* Release 1.6-1.20
	Kernel modules were added for the following kernels:
		5.8.11-200

* Thu Sep 24 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.19
* Release 1.6-1.19
	Kernel modules were added for the following kernels:
		5.8.10-200
		5.8.9-200
		5.8.8-200

* Sat Sep 12 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.18
* Release 1.6-1.18
	Kernel modules were added for the following kernels:
		5.8.7-200
		5.8.6-201

* Thu Sep  3 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.17
* Release 1.6-1.17
	Kernel modules were added for the following kernels:
		5.8.4-200

* Fri Aug 28 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.16
* Release 1.6-1.16
	Kernel modules were added for the following kernels:
		5.7.17-200

* Sun Aug 23 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.15
* Release 1.6-1.15
	Kernel modules were added for the following kernels:
		5.7.16-200
		5.7.15-200
		5.7.14-200
		5.7.12-200

* Thu Aug  6 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.14
* Release 1.6-1.14
	Kernel modules were added for the following kernels:
		5.7.11-200

* Fri Jul 31 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.13
* Release 1.6-1.13
	Kernel modules were added for the following kernels:
		5.7.10-201

* Fri Jul 24 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.12
* Release 1.6-1.12
	Kernel modules were added for the following kernels:
		5.7.9-200

* Fri Jul 17 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.11
* Release 1.6-1.11
	Kernel modules were added for the following kernels:
		5.7.8-200

* Fri Jul 10 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.10
* Release 1.6-1.10
	Kernel modules were added for the following kernels:
		5.7.7-200

* Fri Jul  3 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.9
* Release 1.6-1.9
	Kernel modules were added for the following kernels:
		5.7.6-201

* Fri Jun 26 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.8
* Release 1.6-1.8
	Kernel modules were added for the following kernels:
		5.6.19-300

* Fri Jun 19 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.7
* Release 1.6-1.7
	Kernel modules were added for the following kernels:
		5.6.18-300

* Fri Jun 12 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.6
* Release 1.6-1.6
	Kernel modules were added for the following kernels:
		5.6.16-300

* Fri Jun  5 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.5
* Release 1.6-1.5
	Kernel modules were added for the following kernels:
		5.6.15-300

* Fri May 29 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.4
* Release 1.6-1.4
	Kernel modules were added for the following kernels:
		5.6.14-300

* Fri May 22 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.3
* Release 1.6-1.3
	Kernel modules were added for the following kernels:
		5.6.13-300

* Fri May 15 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.2
* Release 1.6-1.2
	Kernel modules were added for the following kernels:
		5.6.12-300
		5.6.11-300

* Fri May  8 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-1.1
* Release 1.6-1.1
	Initial release. Kernel modules were added for the following kernels:
		5.6.10-300
		5.6.8-300
		5.6.7-300
		5.6.6-300
